%define module	dbusmock

Name:		python-%{module}
Version:	0.16.7
Release:	%mkrel 1
Summary:	Mock D-Bus objects
Group:		Development/Python
License:	LGPLv3+
URL:		http://pypi.python.org/pypi/python-dbusmock
Source0:	http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	dbus-x11
BuildRequires:	upower

BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(nose)
BuildRequires:	pythonegg(2)(dbus-python)
BuildRequires:	python-gobject

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(nose)
BuildRequires:	pythonegg(3)(dbus-python)
BuildRequires:	pythonegg(3)(pygobject)

%description
With this program/Python library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

#------------------------------------------------

%package -n	python2-%{module}
Summary:	Mock D-Bus objects (in Python2)
Group:		Development/Python
Requires:	dbus-x11
Requires:	pythonegg(2)(dbus-python)
Requires:	python-gobject

%description -n	python2-%{module}
With this program/Python2 library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Mock D-Bus objects (in Python3)
Group:		Development/Python
Requires:	dbus-x11
Requires:	pythonegg(3)(dbus-python)
Requires:	pythonegg(3)(pygobject)

%description -n	python3-%{module}
With this program/Python3 library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info
rm -rf python-%{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
%define enable_tests_python2 1
%if %{enable_tests_python2}
%{__python2} setup.py test
%endif
%define enable_tests_python3 1
%if %{enable_tests_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files -n python2-%{module}
%doc README.rst COPYING
%{python2_sitelib}/%{module}/
%{python2_sitelib}/python_%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst COPYING
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Feb 15 2017 daviddavid <daviddavid> 0.16.7-1.mga6
+ Revision: 1086247
- imported package python-dbusmock

